=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,repack,dversionmangle=s{\+dfsg\d*}{}" \
https://www.antlr.org/download.html \
  (?:.*\/)?antlr4-cpp-runtime-([\d\.]+)-source.zip debian uupdate
