## antlr4-cpp-runtime 4.7.2+dfsg

=== debian/changelog ===
antlr4-cpp-runtime (4.7.2+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:15:17 +0800
