## antlr4-cpp-runtime 4.8+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -122,7 +122,9 @@
     endif()
 elseif(MSVC_VERSION GREATER 1800 OR MSVC_VERSION EQUAL 1800)
   # Visual Studio 2012+ supports c++11 features 
-else ()
+elseif(CMAKE_SYSTEM_NAME MATCHES "Emscripten")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -stdlib=libc++")
+else()
     message(FATAL_ERROR "Your C++ compiler does not support C++11.")
 endif()
