=== debian/changelog ===
antlr4-cpp-runtime (4.8+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:09:47 +0100

antlr4-cpp-runtime (4.8+dfsg-2) unstable; urgency=medium

  * Removing symbols control file as symbol list seems to be arch-dependent.
  * Bumping Standards-Version (no changes).

 -- Andrius Merkys <merkys@debian.org>  Tue, 21 Jan 2020 02:08:29 -0500

antlr4-cpp-runtime (4.8+dfsg-1) unstable; urgency=medium

  * New upstream version 4.8+dfsg
  * Adding symbols files for all libraries to control ABI changes.
  * Updating my e-mail address.
  * Updating debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Mon, 20 Jan 2020 03:35:19 -0500
