=== debian/changelog ===
antlr4-cpp-runtime (4.9+dfsg-4) unstable; urgency=medium

  * Fix compatibility with CMake 4 (Closes: #1112702)
  * Replace pkg-config => pkgconf

 -- Andrius Merkys <merkys@debian.org>  Mon, 10 Nov 2025 06:52:37 -0500

antlr4-cpp-runtime (4.9+dfsg-3) unstable; urgency=medium

  * Fix library paths in CMake files. Thanks Peter A. Jonsson.

 -- Andrius Merkys <merkys@debian.org>  Mon, 11 Apr 2022 01:55:52 -0400

antlr4-cpp-runtime (4.9+dfsg-2) unstable; urgency=medium

  * Build and install CMake definitions to libdevel package (Closes: #1007712).
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 15 Mar 2022 10:17:37 -0400

antlr4-cpp-runtime (4.9+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make ANTLRInputStream.h usable with C++17. (Closes: #991482)

 -- Adrian Bunk <bunk@debian.org>  Sun, 25 Jul 2021 19:02:59 +0300

antlr4-cpp-runtime (4.9+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

  [ Andrius Merkys ]
  * New upstream version 4.9+dfsg
  * Accommodating SOVERSION change.
  * Using system-provided utfcpp.

 -- Andrius Merkys <merkys@debian.org>  Tue, 01 Dec 2020 03:41:23 -0500
