=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Maintainer: Andrius Merkys <merkys@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 12),
- pkg-config,
+ debhelper-compat (= 13),
+ libutfcpp-dev,
+ pkgconf,
  uuid-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://www.antlr.org
 Vcs-Browser: https://salsa.debian.org/debian/antlr4-cpp-runtime
@@ -17,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libantlr4-runtime4.8 (= ${binary:Version}),
+ libantlr4-runtime4.9 (= ${binary:Version}),
  ${misc:Depends},
 Description: ANTLR Parser Generator - C++ runtime support (development files)
  ANTLR (ANother Tool for Language Recognition) is a powerful parser generator
@@ -27,7 +28,7 @@
  .
  This package contains the development files of C++ runtime support for ANTLR.
 
-Package: libantlr4-runtime4.8
+Package: libantlr4-runtime4.9
 Architecture: any
 Multi-Arch: same
 Depends:
