=== debian/changelog ===
antlr4-cpp-runtime (4.10+dfsg-1) experimental; urgency=medium

  * New upstream version 4.10+dfsg
  * Simplify debian/watch.
  * Refresh debian/copyright.
  * Add autopkgtest.
  * Install README.md.
  * Bump debhelper-compat (no changes).

 -- Andrius Merkys <merkys@debian.org>  Thu, 14 Apr 2022 02:30:51 -0400

antlr4-cpp-runtime (4.9.1+dfsg-1) experimental; urgency=medium

  * New upstream version 4.9.1+dfsg
  * Removing no longer needed Files-Excluded entry.
  * Updating copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 15 Feb 2021 01:40:04 -0500
