=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
  cmake,
  debhelper-compat (= 13),
  libutfcpp-dev,
- pkgconf,
+ pkg-config,
  uuid-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://www.antlr.org
 Vcs-Browser: https://salsa.debian.org/debian/antlr4-cpp-runtime
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libantlr4-runtime4.9 (= ${binary:Version}),
+ libantlr4-runtime4.10 (= ${binary:Version}),
  ${misc:Depends},
 Description: ANTLR Parser Generator - C++ runtime support (development files)
  ANTLR (ANother Tool for Language Recognition) is a powerful parser generator
@@ -28,7 +28,7 @@
  .
  This package contains the development files of C++ runtime support for ANTLR.
 
-Package: libantlr4-runtime4.9
+Package: libantlr4-runtime4.10
 Architecture: any
 Multi-Arch: same
 Depends:
