=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DANTLR4_INSTALL=ON -DCMAKE_POLICY_VERSION_MINIMUM=3.5
+	# Turning off for now as drop-in replacement with system-provided googletest does not work.
+	dh_auto_configure -- -DANTLR_BUILD_CPP_TESTS=OFF -DANTLR4_INSTALL=ON
 
 override_dh_install:
 	dh_install
