=== debian/tests/control ===
Tests: cmake
Depends:
 @,
 cmake,
