=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,repack,dversionmangle=auto" \
https://www.antlr.org/download.html \
 (?:.*\/)?antlr4-cpp-runtime-([\d\.]+)-source.zip
